Issue 121388 - Adapt naming "OpenOffice.org" --> "Apache OpenOffice"
Adapt naming "OpenOffice.org" --> "Apache OpenOffice"
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
3.4.1
All All
: P2 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks: 121718 121721
  Show dependency treegraph
 
Reported: 2012-11-23 13:45 UTC by Oliver-Rainer Wittmann
Modified: 2013-08-29 08:18 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch for the renaming (114.72 KB, patch)
2012-12-21 14:34 UTC, Oliver-Rainer Wittmann
no flags Details | Diff
patch for the renaming (231.45 KB, patch)
2013-01-10 09:51 UTC, Oliver-Rainer Wittmann
no flags Details | Diff
patch which adapts the renaming to "OpenOffice" (73.77 KB, patch)
2013-02-20 16:43 UTC, Oliver-Rainer Wittmann
orw: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2012-11-23 13:45:05 UTC
Adapt naming "OpenOffice.org" (and its variants) to "Apache OpenOffice"
Comment 1 Oliver-Rainer Wittmann 2012-11-23 14:01:44 UTC
I have started a wiki page - http://wiki.openoffice.org/wiki/Name_the_beast - to document the work on this issue
Comment 2 Oliver-Rainer Wittmann 2012-12-21 14:34:32 UTC
Created attachment 80062 [details]
patch for the renaming
Comment 3 Oliver-Rainer Wittmann 2013-01-10 09:51:01 UTC
Created attachment 80136 [details]
patch for the renaming

updated patch - more complete now
Comment 4 SVN Robot 2013-01-10 10:11:01 UTC
"orw" committed SVN revision 1431253 into trunk:
#121388# - Adapt naming "OpenOffice.org" --> "Apache OpenOffice"
Comment 5 Oliver-Rainer Wittmann 2013-01-10 10:17:09 UTC
Done.

Beside corresponding ui changes the new naming has impact on:
- folder/directory names
- package names
- Windows registry key names and values
- ...

One "side effect":
The user profile from a former installed AOO (or OOo) version is not taken over as also the folder/directory path to the user profile folder/directory has changed.
Comment 6 SVN Robot 2013-01-15 14:46:03 UTC
"hdu" committed SVN revision 1433418 into trunk:
#i121388# adjust install source for automatic testing to changed instset dire...
Comment 7 SVN Robot 2013-02-04 13:15:36 UTC
"hdu" committed SVN revision 1442103 into trunk:
#i121388# fix FVT autotest assertion for appname
Comment 8 Oliver-Rainer Wittmann 2013-02-04 13:43:43 UTC
reopen to adapt the naming - skip prefix "Apache" where possible.
Comment 9 Oliver-Rainer Wittmann 2013-02-20 16:43:47 UTC
Created attachment 80310 [details]
patch which adapts the renaming to "OpenOffice"
Comment 10 SVN Robot 2013-02-21 16:37:14 UTC
"orw" committed SVN revision 1448713 into trunk:
#121388# - adapt renaming: "Apache OpenOffice" --> "OpenOffice"
Comment 11 Oliver-Rainer Wittmann 2013-02-21 16:38:47 UTC
patch commited -> issue solved
Comment 12 SVN Robot 2013-02-22 16:24:18 UTC
"jsc" committed SVN revision 1449100 into trunk:
#121388# add temporary adapted images for installer, intro, about
Comment 13 SVN Robot 2013-02-25 12:52:05 UTC
"jsc" committed SVN revision 1449688 into trunk:
#121388# tweak special handling for dev buuidls on MacOS
Comment 14 SVN Robot 2013-08-29 08:18:54 UTC
"hdu" committed SVN revision 1518535 into trunk:
#i121388# adjust testDefaultErrorAlertMessage() autotest